import {
  createActionStructure,
  createAsyncStructure,
  createResourceStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  categories: createAsyncStructure(`${constants.prefix}_categories`),
  equipment: createAsyncStructure(`${constants.prefix}_equipment`),
  feature: createAsyncStructure(`${constants.prefix}_feature`),
  setPosition: createActionStructure(`${constants.prefix}_set_position`),
};

export default actions;
